using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriRecursionEndTable)Controller
    /// </summary>
    // [ApiExplorerSettings(GroupName = "PriRecursionEndTable")]
    public class PriRecursionEndTableController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriRecursionEndTableService _PriRecursionEndTableService;


        public PriRecursionEndTableController(IPriRecursionEndTableService PriRecursionEndTableService)
        {
            _PriRecursionEndTableService = PriRecursionEndTableService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionEndTable/getPriRecursionEndTableList")]
        public IActionResult getPriRecursionEndTableList([FromQuery] PagerInfo page, [FromQuery] PriRecursionEndTable param)
        {
            var response = _PriRecursionEndTableService.getPriRecursionEndTableList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionEndTable/getPriRecursionEndTableQuery")]
        public IActionResult getPriRecursionEndTableQuery([FromQuery] PriRecursionEndTable param)
        {
            var response = _PriRecursionEndTableService.GetFirst(m => m.id == param.id).Adapt<GetPriRecursionEndTableQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriRecursionEndTable/addPriRecursionEndTable")]
        public IActionResult addPriRecursionEndTable([FromBody] PriRecursionEndTable param)
        {
            var modal = param.Adapt<PriRecursionEndTable>().ToCreate(HttpContext);
            var response = _PriRecursionEndTableService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriRecursionEndTable/updatePriRecursionEndTable")]
        public IActionResult updatePriRecursionEndTable([FromBody] PriRecursionEndTable param)
        {
            var modal = param.Adapt<PriRecursionEndTable>().ToCreate(HttpContext);
            var response = _PriRecursionEndTableService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriRecursionEndTable/deletePriRecursionEndTable/{id}")]
        public IActionResult deletePriRecursionEndTable(int id)
        {
            var response = _PriRecursionEndTableService.Delete(id);
            return SUCCESS(response);
        }


          /// <param name="page">分页参数</param>
        /// <summary>
        /// 下拉框数据
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <returns>下拉框数据</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionEndTable/getPriQueryTableDic")]
        public IActionResult getPriQueryTableDic([FromQuery] PagerInfo page)
        {
            var response = _PriRecursionEndTableService.getPriQueryTableDic(page);
            return SUCCESS(response);
        }




    }
}