using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriRecursionStartReturnField)Controller
    /// </summary>
    // [Route("${Router}$")]
    // [ApiExplorerSettings(GroupName = "PriRecursionStartReturnField")]
    public class PriRecursionStartReturnFieldController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriRecursionStartReturnFieldService _PriRecursionStartReturnFieldService;


        public PriRecursionStartReturnFieldController(IPriRecursionStartReturnFieldService PriRecursionStartReturnFieldService)
        {
            _PriRecursionStartReturnFieldService = PriRecursionStartReturnFieldService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionStartReturnField/getPriRecursionStartReturnFieldList")]
        public IActionResult getPriRecursionStartReturnFieldList([FromQuery] PagerInfo page, [FromQuery] PriRecursionStartReturnField param)
        {
            var response = _PriRecursionStartReturnFieldService.getPriRecursionStartReturnFieldList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionStartReturnField/getPriRecursionStartReturnFieldQuery")]
        public IActionResult getPriRecursionStartReturnFieldQuery([FromQuery] PriRecursionStartReturnField param)
        {
            var response = _PriRecursionStartReturnFieldService.GetFirst(m => m.id == param.id).Adapt<GetPriRecursionStartReturnFieldQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriRecursionStartReturnField/addPriRecursionStartReturnField")]
        public IActionResult addPriRecursionStartReturnField([FromBody] PriRecursionStartReturnField param)
        {
            var modal = param.Adapt<PriRecursionStartReturnField>().ToCreate(HttpContext);
            var response = _PriRecursionStartReturnFieldService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriRecursionStartReturnField/updatePriRecursionStartReturnField")]
        public IActionResult updatePriRecursionStartReturnField([FromBody] PriRecursionStartReturnField param)
        {
            var modal = param.Adapt<PriRecursionStartReturnField>().ToCreate(HttpContext);
            var response = _PriRecursionStartReturnFieldService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriRecursionStartReturnField/deletePriRecursionStartReturnField/{id}")]
        public IActionResult deletePriRecursionStartReturnField(int id)
        {
            var response = _PriRecursionStartReturnFieldService.Delete(id);
            return SUCCESS(response);
        }




    }
}