using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriReturnField)Controller
    /// </summary>
    // [ApiExplorerSettings(GroupName = "PriReturnField")]
    public class PriReturnFieldController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriReturnFieldService _PriReturnFieldService;


        public PriReturnFieldController(IPriReturnFieldService PriReturnFieldService)
        {
            _PriReturnFieldService = PriReturnFieldService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriReturnField/getPriReturnFieldList")]
        public IActionResult getPriReturnFieldList([FromQuery] PagerInfo page, [FromQuery] PriReturnField param)
        {
            var response = _PriReturnFieldService.getPriReturnFieldList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriReturnField/getPriReturnFieldQuery")]
        public IActionResult getPriReturnFieldQuery([FromQuery] PriReturnField param)
        {
            var response = _PriReturnFieldService.GetFirst(m => m.id == param.id).Adapt<GetPriReturnFieldQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriReturnField/addPriReturnField")]
        public IActionResult addPriReturnField([FromBody] PriReturnField param)
        {
            var modal = param.Adapt<PriReturnField>().ToCreate(HttpContext);
            var response = _PriReturnFieldService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriReturnField/updatePriReturnField")]
        public IActionResult updatePriReturnField([FromBody] PriReturnField param)
        {
            var modal = param.Adapt<PriReturnField>().ToCreate(HttpContext);
            var response = _PriReturnFieldService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriReturnField/deletePriReturnField/{id}")]
        public IActionResult deletePriReturnField(int id)
        {
            var response = _PriReturnFieldService.Delete(id);
            return SUCCESS(response);
        }




    }
}