namespace Model
{
    /// <summary>
    /// 终端信息表 sys_oauth_client_details
    /// </summary>
    [SugarTable("sys_oauth_client_details", "终端信息表")]
    [Tenant("0")]
    public class SysOauthClientDetails
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", ColumnName = "id")]
        public long Id { get; set; }


        /// <summary>
        /// 客户端ID
        /// </summary>
        [SugarColumn(ColumnDescription = "客户端ID", Length = 32, ColumnName = "client_id")]
        public string ClientId { get; set; }


        /// <summary>
        /// 资源ID集合
        /// </summary>
        [SugarColumn(ColumnDescription = "资源ID集合", Length = 256, ColumnName = "resource_ids")]
        public string ResourceIds { get; set; }


        /// <summary>
        /// 客户端秘钥
        /// </summary>
        [SugarColumn(ColumnDescription = "客户端秘钥", Length = 256, ColumnName = "client_secret")]
        public string ClientSecret { get; set; }


        /// <summary>
        /// 授权范围
        /// </summary>
        [SugarColumn(ColumnDescription = "授权范围", Length = 256, ColumnName = "scope")]
        public string Scope { get; set; }


        /// <summary>
        /// 授权类型
        /// </summary>
        [SugarColumn(ColumnDescription = "授权类型", Length = 256, ColumnName = "authorized_grant_types")]
        public string AuthorizedGrantTypes { get; set; }


        /// <summary>
        /// 回调地址
        /// </summary>
        [SugarColumn(ColumnDescription = "回调地址", Length = 256, ColumnName = "web_server_redirect_uri")]
        public string WebServerRedirectUri { get; set; }


        /// <summary>
        /// 权限集合
        /// </summary>
        [SugarColumn(ColumnDescription = "权限集合", Length = 256, ColumnName = "authorities")]
        public string Authorities { get; set; }


        /// <summary>
        /// 访问令牌有效期（秒）
        /// </summary>
        [SugarColumn(ColumnDescription = "访问令牌有效期（秒）", ColumnName = "access_token_validity")]
        public int AccessTokenValidity { get; set; }


        /// <summary>
        /// 刷新令牌有效期（秒）
        /// </summary>
        [SugarColumn(ColumnDescription = "刷新令牌有效期（秒）", ColumnName = "refresh_token_validity")]
        public int RefreshTokenValidity { get; set; }


        /// <summary>
        /// 附加信息
        /// </summary>
        [SugarColumn(ColumnDescription = "附加信息", Length = 4096, ColumnName = "additional_information")]
        public string AdditionalInformation { get; set; }


        /// <summary>
        /// 自动授权
        /// </summary>
        [SugarColumn(ColumnDescription = "自动授权", Length = 256, ColumnName = "autoapprove")]
        public string Autoapprove { get; set; }


        /// <summary>
        /// 删除标记，0未删除，1已删除
        /// </summary>
        [SugarColumn(ColumnDescription = "删除标记，0未删除，1已删除", Length = 1, ColumnName = "del_flag")]
        public string DelFlag { get; set; }


        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnDescription = "创建人", Length = 64, ColumnName = "create_by")]
        public string CreateBy { get; set; }


        /// <summary>
        /// 修改人
        /// </summary>
        [SugarColumn(ColumnDescription = "修改人", Length = 64, ColumnName = "update_by")]
        public string UpdateBy { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }



    }
}