namespace Model
{
    /// <summary>
    /// 公共参数配置表 sys_public_param
    /// </summary>
    [SugarTable("sys_public_param", "公共参数配置表")]
    [Tenant("0")]
    public class SysPublicParam
    {
        /// <summary>
        /// 编号
        /// </summary>
        [SugarColumn(ColumnDescription = "编号", ColumnName = "public_id")]
        public long PublicId { get; set; }


        /// <summary>
        /// 名称
        /// </summary>
        [SugarColumn(ColumnDescription = "名称", Length = 128, ColumnName = "public_name")]
        public string PublicName { get; set; }


        /// <summary>
        /// 键
        /// </summary>
        [SugarColumn(ColumnDescription = "键", Length = 128, ColumnName = "public_key")]
        public string PublicKey { get; set; }


        /// <summary>
        /// 值
        /// </summary>
        [SugarColumn(ColumnDescription = "值", Length = 128, ColumnName = "public_value")]
        public string PublicValue { get; set; }


        /// <summary>
        /// 状态，0禁用，1启用
        /// </summary>
        [SugarColumn(ColumnDescription = "状态，0禁用，1启用", Length = 1, ColumnName = "status")]
        public string Status { get; set; }


        /// <summary>
        /// 校验码
        /// </summary>
        [SugarColumn(ColumnDescription = "校验码", Length = 64, ColumnName = "validate_code")]
        public string ValidateCode { get; set; }


        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnDescription = "创建人", Length = 64, ColumnName = "create_by")]
        public string CreateBy { get; set; }


        /// <summary>
        /// 修改人
        /// </summary>
        [SugarColumn(ColumnDescription = "修改人", Length = 64, ColumnName = "update_by")]
        public string UpdateBy { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }


        /// <summary>
        /// 类型，0未知，1系统，2业务
        /// </summary>
        [SugarColumn(ColumnDescription = "类型，0未知，1系统，2业务", Length = 1, ColumnName = "public_type")]
        public string PublicType { get; set; }


        /// <summary>
        /// 系统标识，0非系统，1系统
        /// </summary>
        [SugarColumn(ColumnDescription = "系统标识，0非系统，1系统", Length = 1, ColumnName = "system_flag")]
        public string SystemFlag { get; set; }


        /// <summary>
        /// 删除标记，0未删除，1已删除
        /// </summary>
        [SugarColumn(ColumnDescription = "删除标记，0未删除，1已删除", Length = 1, ColumnName = "del_flag")]
        public string DelFlag { get; set; }



    }
}