using Mapster;


namespace Model
{
    /// <summary>
    /// 奖励发放对象表 pri_prize_object_table
    /// </summary>
    [SugarTable("pri_prize_object_table", "奖励发放对象表")]
    [Tenant("0")]
    public class PriPrizeObjectTable
    {
        /// <summary>
        /// 项目
        /// </summary>
        [SugarColumn(ColumnDescription = "项目", ColumnName = "project_id")]
        public int projectId { get; set; }


        /// <summary>
        /// 查询表
        /// </summary>
        [SugarColumn(ColumnDescription = "查询表", Length = 50, ColumnName = "table_en_name")]
        public string? tableEnName { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 指定奖励配置
        /// </summary>
        [SugarColumn(ColumnDescription = "指定奖励配置", Length = 200, ColumnName = "prize_list_ids")]
        public string? prizeListIds { get; set; }


        /// <summary>
        /// 取值字段
        /// </summary>
        [SugarColumn(ColumnDescription = "取值字段", Length = 50, ColumnName = "select_field")]
        public string? selectField { get; set; }


        /// <summary>
        /// 查询库
        /// </summary>
        [SugarColumn(ColumnDescription = "查询库", ColumnName = "database_id")]
        public int databaseId { get; set; }



    }
}