using Attribute;
using Model;
using Model.Base;
using Repository;
using Service;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    /// <summary>
    /// 奖励发放对象字段Service业务层处理
    /// </summary>
    [AppService(ServiceType = typeof(IPriPrizeObjectFieldService), ServiceLifetime = LifeTime.Transient)]
    public class PriPrizeObjectFieldService : BaseService<PriPrizeObjectField>, IPriPrizeObjectFieldService
    {
        /// <summary>
        /// 奖励发放对象字段-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        public PagedInfo<GetPriPrizeObjectFieldListVo> getPriPrizeObjectFieldList([FromQuery] PagerInfo page, [FromQuery] PriPrizeObjectField param)
        {
            //拼装查询条件
            var predicate = Expressionable.Create<PriPrizeObjectField>();
            predicate = predicate.AndIF(!string.IsNullOrEmpty(param.fieldName), m => m.fieldName.Contains(param.fieldName));
            predicate = predicate.AndIF(!string.IsNullOrEmpty(param.fieldEnName), m => m.fieldEnName.Contains(param.fieldEnName));
            predicate = predicate.AndIF(param.objectTableId > 0, m => m.objectTableId == param.objectTableId);
            var response = Queryable()
                .Where(predicate.ToExpression())
                .OrderByDescending(m => m.id)
                .ToPage<PriPrizeObjectField, GetPriPrizeObjectFieldListVo>(page);
            return response;
        }



    }
}
