using Attribute;
using Model;
using Model.Base;
using Repository;
using Service;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    /// <summary>
    /// 奖励记录Service业务层处理
    /// </summary>
    [AppService(ServiceType = typeof(IPriRecordService), ServiceLifetime = LifeTime.Transient)]
    public class PriRecordService : BaseService<PriRecord>, IPriRecordService
    {
        /// <summary>
        /// 奖励记录-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        public PagedInfo<GetPriRecordListVo> getPriRecordList([FromQuery] PagerInfo page, [FromQuery] PriRecord param)
        {
            //拼装查询条件
            var predicate = Expressionable.Create<PriRecord>();
            predicate = predicate.AndIF(param.listId > 0, m => m.listId == param.listId);
            predicate = predicate.AndIF(!string.IsNullOrEmpty(param.batchNo), m => m.batchNo.Contains(param.batchNo));
            var response = Queryable()
                .Where(predicate.ToExpression())
                .OrderByDescending(m => m.id)
                .ToPage<PriRecord, GetPriRecordListVo>(page);
            return response;
        }



    }
}
